Bug 98362 - [GTK] accessibility/canvas-fallback-content.html is failing
: [GTK] accessibility/canvas-fallback-content.html is failing
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: WebKit Gtk
: 528+ (Nightly build)
: Unspecified Unspecified
: P2 Normal
Assigned To: Joanmarie Diggs (irc: joanie)
: Gtk, LayoutTestFailure
Depends on:
Blocks: 98347
  Show dependency treegraph
 
Reported: 2012-10-04 00:37 PDT by Zan Dobersek
Modified: 2012-12-09 10:56 PST (History)
6 users (show)

See Also:


Attachments
Patch (6.32 KB, patch)
2012-12-09 08:52 PST, Joanmarie Diggs (irc: joanie)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Zan Dobersek 2012-10-04 00:37:59 PDT
accessibility/canvas-fallback-content.html is failing on all GTK platforms.
http://test-results.appspot.com/dashboards/flakiness_dashboard.html#group=%40ToT%20-%20webkit.org&tests=accessibility%2Fcanvas-fallback-content.html
Comment 1 Joanmarie Diggs (irc: joanie) 2012-10-17 05:41:51 PDT
This one is failing due to platform differences in accessible roles. A problem that keeps coming up. :-/
Comment 2 Joanmarie Diggs (irc: joanie) 2012-12-09 08:52:32 PST
Created attachment 178420 [details]
Patch
Comment 3 Martin Robinson 2012-12-09 09:19:19 PST
Joanie and I chatted about this one and there are only three tests that have this difference, so a work-around for now if later we can decide how to have the same role name for all platforms.
Comment 4 WebKit Review Bot 2012-12-09 10:56:28 PST
Comment on attachment 178420 [details]
Patch

Clearing flags on attachment: 178420

Committed r137088: <http://trac.webkit.org/changeset/137088>
Comment 5 WebKit Review Bot 2012-12-09 10:56:32 PST
All reviewed patches have been landed.  Closing bug.